class AppointmentSlots {
  int totalSlots;
  int occupiedSlots;
  int emptySlots;

  AppointmentSlots({
    required this.totalSlots,
    required this.occupiedSlots,
    required this.emptySlots,
  });

  factory AppointmentSlots.fromJson(Map<String, dynamic> json) =>
      AppointmentSlots(
        totalSlots: json["totalSlots"],
        occupiedSlots: json["occupiedSlots"],
        emptySlots: json["emptySlots"],
      );

  Map<String, dynamic> toJson() => {
        "totalSlots": totalSlots,
        "occupiedSlots": occupiedSlots,
        "emptySlots": emptySlots,
      };
}
